ros-rolling-image-publisher (6.0.3-1noble) noble; urgency=high

  * Publish using unique ptr (#1016 <https://github.com/ros-perception/image_pipeline/issues/1016>)
    Prevents doing an extra copy of the data when using intra-process
    communication.
  * Finish QoS updates (#1019 <https://github.com/ros-perception/image_pipeline/issues/1019>)
    This implements the remainder of #847 <https://github.com/ros-perception/image_pipeline/issues/847>:
    - Make sure publishers default to system defaults (reliable)
    - Add QoS overriding where possible (some of the image_transport /
    message_filters stuff doesn't really support that)
    - Use the matching heuristic for subscribers consistently
  * Contributors: Błażej Sowa, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 22:00:00 -0000

ros-rolling-image-publisher (6.0.2-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 22 Jul 2024 22:00:00 -0000

ros-rolling-image-publisher (6.0.1-1noble) noble; urgency=high

  * [rolling] image_publisher: Fix loading of the camera info parameters on startup (#983 <https://github.com/ros-perception/image_pipeline/issues/983>)
    As described in
    https://github.com/ros-perception/image_pipeline/issues/965 camera info
    is not loaded from the file on node initialization, but only when the
    parameter is reloaded.
    This PR resolves this issue and should be straightforward to port it to
    Humble, Iron and Jazzy.
  * [rolling] image_publisher: add field of view parameter (#985 <https://github.com/ros-perception/image_pipeline/issues/985>)
    Currently, the default value for focal length when no camera info is
    provided defaults to 1.0 rendering whole approximate intrinsics and
    projection matrices useless. Based on [this
    article](https://learnopencv.com/approximate-focal-length-for-webcams-and-cell-phone-cameras/),
    I propose a better approximation of the focal length based on the field
    of view of the camera.
    For most of the use cases, users will either know the field of view of
    the camera the used, or they already calibrated it ahead of time.
    If there is some documentation to fill. please let me know.
    This PR should be straightforward to port it to Humble, Iron and
    Jazzy.
    ---------
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Krzysztof Wojciechowski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Jul 2024 22:00:00 -0000

ros-rolling-image-publisher (6.0.0-1noble) noble; urgency=high

  * [rolling] image_publisher: Fix image, constantly flipping when static image is published (#986 <https://github.com/ros-perception/image_pipeline/issues/986>)
    Continuation of
    https://github.com/ros-perception/image_pipeline/pull/984.
    When publishing video stream from a camera, the image was flipped
    correctly. Yet for a static image, which was loaded once, the flip
    function was applied every time ImagePublisher::doWork() was called,
    resulting in the published image being flipped back and forth all the
    time.
    This PR should be straightforward to port it to Humble, Iron and
    Jazzy.
  * Contributors: Krzysztof Wojciechowski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 May 2024 22:00:00 -0000

ros-rolling-image-publisher (5.0.1-1noble) noble; urgency=high

  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * add docs for image_rotate/publisher (#936 <https://github.com/ros-perception/image_pipeline/issues/936>)
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-rolling-image-publisher (5.0.0-1noble) noble; urgency=high

  * Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>)
    Removed cfg files related with ROS 1 parameters
  * ROS 2: Fixed CMake (#899 <https://github.com/ros-perception/image_pipeline/issues/899>)
  * image_publisher: functional component (#861 <https://github.com/ros-perception/image_pipeline/issues/861>)
    * filename now functions when using a component
    * parameter callback gets called at startup when using the component
    * cleanup a bit of the logging
    * add launch file to test component more easily
  * properly remap compressed topics (#851 <https://github.com/ros-perception/image_pipeline/issues/851>)
    ## Before:
    Pushing into namespace is broken, only image_raw changes (camera_info
    and transport topics should change):
    ```
    ros2 run image_publisher image_publisher_node --ros-args -p filename:=test.png -r image_raw:=foo/image_raw
    ---
    ros2 topic list
    /camera_info
    /foo/image_raw
    /image_raw/compressed
    /image_raw/compressedDepth
    /image_raw/theora
    ```
    ## After:
    Pushing into namespace now works:
    ```
    ros2 run image_publisher image_publisher_node --ros-args -p filename:=test.png -r image_raw:=foo/image_raw
    ---
    ros2 topic list
    /foo/camera_info
    /foo/image_raw
    /foo/image_raw/compressed
    /foo/image_raw/compressedDepth
    /foo/image_raw/theora
    ```
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * Contributors: Alejandro Hernández Cordero, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-image-publisher (3.0.1-1noble) noble; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Contributors: Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-rolling-image-publisher (3.0.0-1noble) noble; urgency=high

  * Cleanup image_publisher.
  * image_publisher: Fix out_img timestamp for using with sim time (#735 <https://github.com/ros-perception/image_pipeline/issues/735>)
  * Add retry video capture feature with timeout
  * changes per comments
  * fix for stereo_image_proc_tests
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Contributors: Ashwin Sushil, Chris Lalancette, Jacob Perron, Nikita Stolyarov, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-image-publisher (2.2.1-1noble) noble; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy][Image Publisher] Update launch file (#579 <https://github.com/ros-perception/image_pipeline/issues/579>)
    Co-authored-by: louis <mailto:louis.tran@otsaw.com>
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
    * Fixing version and maintainer problems in camera_calibration.
    * Applying ament_auto macros to depth_image_proc.
    * Cleaning up package.xml in image_pipeline.
    * Applying ament_auto macros to image_proc.
    * Applying ament_auto macros to image_publisher.
    * Applying ament_auto macros to image_rotate.
    * Applying ament_auto macros to image_view.
    * Replacing some deprecated headers in image_view.
    * Fixing some build warnings in image_view.
    * Applying ament_auto macros to stereo_image_proc.
    * Adding some linter tests to image_pipeline.
    * Updating package URLs to point to ROS Index.
  * Contributors: Joshua Whitley, Steve Macenski, trthanhquang

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-rolling-image-publisher (2.2.0-1noble) noble; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
    * Replacing deprecated header includes with new HPP versions.
    * CI: Switching to official Foxy Docker container.
    * Fixing headers which don't work correctly.
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    It is no longer used at all in image_view.
    * Reinstate OpenCV 3 compatibility.
    While Foxy only supports Ubuntu 20.04 (and hence OpenCV 4),
    we still strive to maintain Ubuntu 18.04 (which has OpenCV 3).
    In this case, it is trivial to keep keep image_pipeline working
    with OpenCV 3, so reintroduce compatibility with it.
    * Fixes from review.
    * One more fix.
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Remove redundant install call in CMakeLists.txt (#555 <https://github.com/ros-perception/image_pipeline/issues/555>)
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley, sgvandijk

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000

ros-rolling-image-publisher (2.0.0-1noble) noble; urgency=high

  * port image_publisher on ROS2 (#366 <https://github.com/ros-perception/image_pipeline/issues/366>)
  * Initial ROS2 commit.
  * Contributors: Chris Ye, Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-rolling-image-publisher (1.12.23-1noble) noble; urgency=high

  * fix 'VideoCapture' undefined symbol error (#318 <https://github.com/ros-perception/image_pipeline/issues/318>)
    * fix 'VideoCapture' undefined symbol error
    The following error occured when trying to run image_publisher:
    [...]/devel/lib/image_publisher/image_publisher: symbol lookup error: [...]/devel/lib//libimage_publisher.so: undefined symbol: _ZN2cv12VideoCaptureC1Ev
    Probably, changes in cv_bridge reducing the OpenCV component dependencies led to the error. See
    https://github.com/ros-perception/vision_opencv/commit/8b5bbcbc1ce65734dc600695487909e0c67c1033
    This is fixed by manually finding OpenCV with the required components and adding the dependencies to the library, not just the node.
    * add image_publisher opencv 2 compatibility
  * Contributors: hannometer

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-rolling-image-publisher (1.12.22-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-rolling-image-publisher (1.12.21-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-rolling-image-publisher (1.12.20-1noble) noble; urgency=high

  * explicitly cast to std::vector<double> to make gcc6 happy
    With gcc6, compiling image_publisher fails with this error:
    ```
    /[...]/image_publisher/src/nodelet/image_publisher_nodelet.cpp: In member function 'virtual void image_publisher::ImagePublisherNodelet::onInit()':
    /[...]/image_publisher/src/nodelet/image_publisher_nodelet.cpp:180:43: error: ambiguous overload for 'operator=' (operand types are 'sensor_msgs::CameraInfo\_<std::allocator<void> >::_D_type {aka std::vector<double>}' and 'boost::assign_detail::generic_list<int>')
    camera_info\_.D = list_of(0)(0)(0)(0)(0);
    ```
    After adding an initial explicit type cast for the assignment,
    compiling fails further with:
    ```
    | /[...]/image_publisher/src/nodelet/image_publisher_nodelet.cpp: In member function 'virtual void image_publisher::ImagePublisherNodelet::onInit()':
    | /[...]/image_publisher/src/nodelet/image_publisher_nodelet.cpp:180:65: error: call of overloaded 'vector(boost::assign_detail::generic_list<int>&)' is ambiguous
    |      camera_info\_.D = std::vector<double> (list_of(0)(0)(0)(0)(0));
    ```
    Various sources on the internet [1, 2, 3] point to use the
    convert_to_container method; hence, this commit follows those
    suggestions and with that image_publisher compiles with gcc6.
    [1] http://stackoverflow.com/questions/16211410/ambiguity-when-using-boostassignlist-of-to-construct-a-stdvector
    [2] http://stackoverflow.com/questions/12352692/ambiguous-call-with-list-of-in-vs2010/12362548#12362548 <https://github.com/ambiguous-call-with-list-of-in-vs2010/12362548/issues/12362548>
    [3] http://stackoverflow.com/questions/13285272/using-boostassignlist-of?rq=1
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-rolling-image-publisher (1.12.19-1noble) noble; urgency=high

  * add image_publisher
  * Contributors: Kei Okada
  * add image_publisher
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000


